# Uses of Enum Class
org.bukkit.block.data.type.Comparator.Mode

Packages that use Comparator.Mode
Package
Description
org.bukkit.block.data.type
Specific BlockData classes relevant to only a given block or set of blocks.

## Uses of Comparator.Mode in org.bukkit.block.data.type

Methods in org.bukkit.block.data.type that return Comparator.Mode
Modifier and Type
Method
Description
`@NotNull Comparator.Mode`
Comparator.`getMode()`
Gets the value of the 'mode' property.
`static Comparator.Mode`
Comparator.Mode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Comparator.Mode[]`
Comparator.Mode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.block.data.type with parameters of type Comparator.Mode
Modifier and Type
Method
Description
`void`
Comparator.`setMode(@NotNull Comparator.Mode mode)`
Sets the value of the 'mode' property.